org.apache.uima.cas.impl

## Class LLUnambiguousIteratorImpl

- java.lang.Object
- - org.apache.uima.cas.impl.LLUnambiguousIteratorImpl

- All Implemented Interfaces:
    LowLevelIterator

      public class LLUnambiguousIteratorImpl
      extends Object
      implements LowLevelIterator

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LLUnambiguousIteratorImpl(LowLevelIterator it, LowLevelCAS cas)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `copy()` Create a copy of this iterator.
    `boolean` | `isValid()` Check if the iterator is currently valid.
    `int` | `ll_get()` Return the current FS reference.
    `LowLevelIndex` | `ll_getIndex()` Get the index for just the top most type of this iterator (excludes subtypes).
    `int` | `ll_indexSize()` Return the size of the underlying index.
    `void` | `moveTo(int fsRef)` Try to position the iterator so that the current element is greater than or equal to `fsRef`, and previous elements are less than `fsRef`.
    `void` | `moveToFirst()` Move iterator to first FS in index.
    `void` | `moveToLast()` Move iterator to last FS in index.
    `void` | `moveToNext()` Advance the iterator.
    `void` | `moveToPrevious()` Move the iterator back one position.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LLUnambiguousIteratorImpl

          public LLUnambiguousIteratorImpl(LowLevelIterator it,
                                           LowLevelCAS cas)

  - ### Method Detail

    - #### moveToFirst

          public void moveToFirst()

      Description copied from interface: `LowLevelIterator`
      Move iterator to first FS in index. A subsequent call to `isValid()` will succeed iff the index is non-empty.
      Specified by:
        `moveToFirst` in interface `LowLevelIterator`

    - #### moveToLast

          public void moveToLast()

      Description copied from interface: `LowLevelIterator`
      Move iterator to last FS in index. A subsequent call to `isValid()` will succeed iff the index is non-empty.
      Specified by:
        `moveToLast` in interface `LowLevelIterator`

    - #### isValid

          public boolean isValid()

      Description copied from interface: `LowLevelIterator`
      Check if the iterator is currently valid.
      Specified by:
        `isValid` in interface `LowLevelIterator`
      Returns:
        `true` iff the iterator is valid.

    - #### ll_get

          public int ll_get()
                     throws NoSuchElementException

      Description copied from interface: `LowLevelIterator`
      Return the current FS reference.
      Specified by:
        `ll_get` in interface `LowLevelIterator`
      Returns:
        The current FS reference.
      Throws:
        `NoSuchElementException` - Iff the iterator is not valid.

    - #### moveToNext

          public void moveToNext()

      Description copied from interface: `LowLevelIterator`
      Advance the iterator. This may invalidate the iterator.
      Specified by:
        `moveToNext` in interface `LowLevelIterator`

    - #### moveToPrevious

          public void moveToPrevious()

      Description copied from interface: `LowLevelIterator`
      Move the iterator back one position. This may invalidate the iterator.
      Specified by:
        `moveToPrevious` in interface `LowLevelIterator`

    - #### moveTo

          public void moveTo(int fsRef)

      Description copied from interface: `LowLevelIterator`
      Try to position the iterator so that the current element is greater than or equal to `fsRef`, and previous elements are less than `fsRef`. This may invalidate the iterator. If fsRef can not be compared to FSs in the index, the results are undefined.
      Specified by:
        `moveTo` in interface `LowLevelIterator`
      Parameters:
        `fsRef` - The FS reference the iterator should be set to.

    - #### copy

          public Object copy()

      Description copied from interface: `LowLevelIterator`
      Create a copy of this iterator. The copy will point at the same element that this iterator is currently pointing at.
      Specified by:
        `copy` in interface `LowLevelIterator`
      Returns:
        A copy of this iterator.

    - #### ll_indexSize

          public int ll_indexSize()

      Description copied from interface: `LowLevelIterator`
      Return the size of the underlying index.
      Specified by:
        `ll_indexSize` in interface `LowLevelIterator`
      Returns:
        The size of the index.

    - #### ll_getIndex

          public LowLevelIndex ll_getIndex()

      Description copied from interface: `LowLevelIterator`
      Get the index for just the top most type of this iterator (excludes subtypes).
      Specified by:
        `ll_getIndex` in interface `LowLevelIterator`
      Returns:
        The index.

Copyright © 2006–2021 The Apache Software Foundation. All rights reserved.